### Method

# Gio OutputStream flush

#### Declaration

    gboolean
    g_output_stream_flush (
      GOutputStream* stream,
      GCancellable* cancellable,
      GError** error
    )

#### Description

Forces a write of all user-space buffered data for the given `stream`. Will block during the operation. Closing the stream will implicitly cause a flush.

This function is optional for inherited classes.

If `cancellable` is not `NULL`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error `G_IO_ERROR_CANCELLED` will be returned.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional cancellable object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.